#
# spec file for package rwho (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rwho
Copyright:    BSD
Group:        Networking/Utilities
Requires:     netcfg portmap
Provides:     nkitb:/usr/bin/rwho
Autoreqprov:  on
Version:      1.0
Release:      95
Summary:      Displays who is logged in to local network machines
BuildRoot:    %{_tmppath}/rwho-root
Source:       rwho-bsd-%{version}.tar.bz2
Source1:      rwhod.init
Source2:      rc.config.rwhod

%description
The rwho command produces output similar to who, but for the list of
hosts or all machines on the local network if there is a rpc.rwhod server
running on.

SuSE series: n

%prep
%setup -n rwho-bsd-%{version}
#%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure %{_target_cpu}-suse-linux
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/var/spool/rwho
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install DESTDIR=$RPM_BUILD_ROOT
# Install rwhod init script
install -m755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/rwhod
ln -sf ../../etc/init.d/rwhod $RPM_BUILD_ROOT/usr/sbin/rcrwhod
# Install rwhod rc.config variables
install -m644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.rwhod
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.rwhod"
fi
sbin/insserv etc/init.d/rwhod

%preun
rm -f /var/spool/rwho/*

%postun
sbin/insserv etc/init.d

%files
%config /etc/init.d/rwhod
/usr/bin/ruptime
/usr/bin/rwho
/usr/sbin/rcrwhod
%doc %{_mandir}/man1/ruptime.1.gz
%doc %{_mandir}/man1/rwho.1.gz
%doc %{_mandir}/man8/rwhod.8.gz
/usr/sbin/rwhod
/var/adm/fillup-templates/rc.config.rwhod
%dir /var/spool/rwho

%changelog -n rwho
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Mon Mar 12 2001 - kukuk@suse.de
- Initial version, split from nkitb
